Skip to content

Issue a signed agent key-control challenge

POST
/api/verification/challenge
curl --request POST \
--url https://agentauthority.org/api/verification/challenge \
--header 'Content-Type: application/json' \
--data '{ "agent_id": "example", "audience": "example", "nonce": "example" }'
Media typeapplication/json
ChallengeRequest
object
agent_id
required
Agent Id
string
>= 1 characters <= 128 characters
audience
required
Audience
string
>= 1 characters <= 200 characters /^[A-Za-z0-9:/._-]+$/
nonce
required
Nonce
string
/^[0-9a-f]{32}$/

Example generated

{
"agent_id": "example",
"audience": "example",
"nonce": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}